# norootforbuild

Name:           libraw1394
Version:        1.2.1
Release:        4.2
License:        LGPL
Summary:        A Firewire Interface
URL:            http://www.linux1394.org/
Group:          System/Kernel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.linux1394.org/files/libraw1394/%{name}-%{version}.tar.bz2
Patch0:         libraw1394-iso_transmission-r156.patch

%description
A library for the Linux IEEE-1394 subsystem, which provides direct
access to the connected 1394 (Firewire) bus.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    
    Manfred Weihs <weihs@ict.tuwien.ac.at>
    Christian Toegel <christian.toegel@gmx.at>
    Dan Maas <dmaas@maasdigital.com>
    Ben Collins <bcollins@debian.org>
    
    Andreas Bombe <andreas.bombe@munich.netsurf.de>

%debug_package
%package devel
Summary:        Development and Include Files for Libraw1394
Summary(pt_BR): Arquivos de desenvolvimento e cabealhos para o libraw1394
Group:          Development/Libraries/C and C++
Requires:       %{name} == %{version}
AutoProv: no

%description devel
Libraw1394 is the only supported interface to the kernel side raw1394
of the Linux IEEE-1394 subsystem, which provides the user space direct
access to the connected 1394 buses.  Through libraw1394/raw1394,
applications can directly send to and receive from other nodes without
requiring a kernel driver for the protocol in question.

This archive contains the header files for libraw1394 development.



Authors:
--------
    Dan Dennedy <dan@dennedy.org>
    
    Manfred Weihs <weihs@ict.tuwien.ac.at>
    Christian Toegel <christian.toegel@gmx.at>
    Dan Maas <dmaas@maasdigital.com>
    Ben Collins <bcollins@debian.org>
    
    Andreas Bombe <andreas.bombe@munich.netsurf.de>

%prep
%setup -q
#%patch0

%build
%{?suse_update_config -ft}
autoreconf --force --install
%configure

%{__make} %{?jobs:-j%jobs} all

%install
%__make DESTDIR=%{buildroot} install

%clean
[ "${RPM_BUILD_ROOT}" != "/" -a -d "${RPM_BUILD_ROOT}" ] && rm -rf "${RPM_BUILD_ROOT}"

%post
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%postun
%if 0%{?suse_version}
%run_ldconfig
%else
/sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS COPYING* NEWS README
%{_bindir}/testlibraw
%{_bindir}/dumpiso
%{_bindir}/sendiso
%{_libdir}/libraw1394.so.*
%doc %{_mandir}/man[15]/*.gz

%files devel
%defattr(-,root,root)
%{_includedir}/libraw1394
%defattr(644,root,root)
%{_libdir}/libraw1394.la
%{_libdir}/libraw1394.a
%{_libdir}/libraw1394.so
%{_libdir}/pkgconfig/libraw1394.pc

%changelog -n libraw1394
* Tue Jan 29 2008 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

